﻿
using System;
using System.Collections.Generic;
using Wisej.Web;

namespace WebApplication1
{
    public partial class Window1 : Form
    {
        private List<GridModel> _values;

        public Window1()
        {
            _values = new List<GridModel>();
            InitializeComponent();
        }

        private void Window1_Load(object sender, EventArgs e)
        {
            _values.Add(new GridModel("Row1"));
            _values.Add(new GridModel("Row2"));
            _values.Add(new GridModel("Row3"));
            _values.Add(new GridModel("Row4"));

            this.dataGridView1.BeginUpdate();
            this.dataGridView1.DataSource = _values;
            this.dataGridView1.EndUpdate();
        }

        private void dataGridView1_MouseClick(object sender, MouseEventArgs e)
        {
            // BUG not fired with right click or not every time
            //if(e.Button == MouseButtons.Right)
            //{

                // X & Y different from X & Y from click event on chrome browser
                string message = $"X: {e.X} Y:{e.Y}";
                Application.Eval($"console.log(\"{message}\")");

                // Nothing showed with using clause it's normal? 
                //using(PopTest test = new PopTest())
                //{
                //    test.Alignment = Placement.BottomCenter;
                //    test.ShowPopup(e.X, e.Y);
                //}

                 PopTest test = new PopTest();
                 test.ShowPopup(e.Location.X, e.Location.Y); 
            //}
        }
    }

    public class GridModel
    {
        public string Value { get; set; }

        public GridModel(string value)
        {
            Value = value;
        }
    }
}
